---
title: "Fetch session listing"
url: "https://developer.incode.com/api-reference/b2b-v1-sessions-listing/"
section: "api-reference"
group: "Interview"
version: "v1.1"
status: "live"
endpoint: "GET /omni/b2b/v1/sessions/listing"
---
# Fetch session listing

`GET /omni/b2b/v1/sessions/listing`

Base URL: `https://demo-api.incodesmile.com` — Incode demo environment

Fetch onboarding sessions listing.

## Path & query parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `loginHint` | query | string | yes | Login hint to search onboarding sessions by (e.g. email). |
| `maxItems` | query | integer (int32) |  | Maximum number of items to retrieve (has to be positive). Optional, defaults to 10. |
| `api-version` | header | string | yes |  |

## Responses

### 200

OK

### 400

Bad Request

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `timestamp` | integer (int64) |  | UTC timestamp in milliseconds |
| `status` | integer (int32) |  | Custom error code or HTTP status code |
| `error` | string |  | HTTP status error |
| `message` | string |  | Custom error message |
| `path` | string |  | Endpoint path |
| `details` | object |  | Custom error details |

## Code samples

Generated from this endpoint's method, path, and the conventional Incode headers. The base URL is the Incode demo environment; replace `<YOUR_API_KEY>` with a key for your region.

### cURL

```bash
curl -X GET https://demo-api.incodesmile.com/omni/b2b/v1/sessions/listing \
  -H "x-api-key: <YOUR_API_KEY>" \
  -H "api-version: 1.0"
```

### Node

```js
const res = await fetch("https://demo-api.incodesmile.com/omni/b2b/v1/sessions/listing", {
  method: "GET",
  headers: {
      "x-api-key": "<YOUR_API_KEY>",
      "api-version": "1.0",
  },
});
const data = await res.json();
```

### Python

```python
import requests

headers = {
    "x-api-key": "<YOUR_API_KEY>",
    "api-version": "1.0",
}
res = requests.get("https://demo-api.incodesmile.com/omni/b2b/v1/sessions/listing", headers=headers)
data = res.json()
```

### Java

```java
HttpRequest req = HttpRequest.newBuilder()
    .uri(URI.create("https://demo-api.incodesmile.com/omni/b2b/v1/sessions/listing"))
    .header("x-api-key", "<YOUR_API_KEY>")
    .header("api-version", "1.0")
    .method("GET", HttpRequest.BodyPublishers.noBody())
    .build();
HttpResponse<String> res = HttpClient.newHttpClient()
    .send(req, HttpResponse.BodyHandlers.ofString());
```

### Example response

```json
{
  "success": true,
  "status": "OK"
}
```
